> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cail.health/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cail.health/_mcp/server.

# List organisation members

GET https://staging.cail.health/v1/organizations/{id}/members

Returns a cursor-paginated list of members in the organisation along with their roles.

Reference: https://docs.cail.health/api-references/api-reference/manage-your-organization/get-members

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: cail-api
  version: 1.0.0
paths:
  /v1/organizations/{id}/members:
    get:
      operationId: get-members
      summary: List organisation members
      description: >-
        Returns a cursor-paginated list of members in the organisation along
        with their roles.
      tags:
        - subpackage_manageYourOrganization
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Cursor-paginated list of members.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Manage your
                  organization_getMembers_Response_200
servers:
  - url: https://staging.cail.health
    description: https://staging.cail.health
components:
  schemas:
    V1OrganizationsIdMembersGetResponsesContentApplicationJsonSchemaPagination:
      type: object
      properties:
        cursor:
          type:
            - string
            - 'null'
        hasMore:
          type: boolean
        limit:
          type: integer
      title: >-
        V1OrganizationsIdMembersGetResponsesContentApplicationJsonSchemaPagination
    Manage your organization_getMembers_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            additionalProperties:
              description: Any type
        pagination:
          $ref: >-
            #/components/schemas/V1OrganizationsIdMembersGetResponsesContentApplicationJsonSchemaPagination
      title: Manage your organization_getMembers_Response_200
  securitySchemes:
    auth0Bearer:
      type: http
      scheme: bearer

```

## Examples



**Response**

```json
{
  "data": [
    {
      "userId": "auth0|654a2f4d1b3c4e9a8d2f3c1b",
      "email": "jane@example.health",
      "name": "Jane Smith",
      "role": "owner"
    },
    {
      "userId": "auth0|7b8c9d0e1f2a3b4c5d6e7f8a",
      "email": "jo@example.health",
      "name": "Jo Patel",
      "role": "member"
    }
  ],
  "pagination": {
    "cursor": null,
    "hasMore": false,
    "limit": 20
  }
}
```

**SDK Code**

```python Two members in the organisation
import requests

url = "https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Two members in the organisation
const url = 'https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Two members in the organisation
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Two members in the organisation
require 'uri'
require 'net/http'

url = URI("https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Two members in the organisation
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Two members in the organisation
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Two members in the organisation
using RestSharp;

var client = new RestClient("https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Two members in the organisation
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```